/* This file is Copyright 2002 Level Control Systems.  See the included LICENSE.txt file for details. */

#include "util/MiscUtilityFunctions.h"

namespace muscle {

status_t ParseArgs(int argc, char ** argv, Message & addTo)
{
   for (int i=1; i<argc; i++)
   {
      char * a = argv[i];
      while(*a == '-') a++;
      String argName = a;
      int equalsAt = argName.IndexOf('=');
      String argValue;
      if (equalsAt >= 0)
      {
         argValue = argName.Substring(equalsAt+1);
         argName  = argName.Substring(0, equalsAt);
      }
      if (addTo.AddString(argName.ToLowerCase()(), argValue) != B_NO_ERROR) return B_ERROR;
   }
   return B_NO_ERROR;
}

};  // end namespace muscle
